Package org.gradle.plugins.javascript.coffeescript

## Class CoffeeScriptCompileOptions

- java.lang.Object
- - org.gradle.plugins.javascript.coffeescript.CoffeeScriptCompileOptions

- All Implemented Interfaces:
    `Serializable`

      public class CoffeeScriptCompileOptions
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CoffeeScriptCompileOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getEncoding()` |
    `void` | `setEncoding​(String encoding)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoffeeScriptCompileOptions

          public CoffeeScriptCompileOptions()

  - ### Method Detail

    - #### getEncoding

          @Nullable
          @Optional
          @Input
          public String getEncoding()

    - #### setEncoding

          public void setEncoding​(@Nullable
                                  String encoding)